<template>
  <div id="app">
    <router-view/>
  </div>
</template>
<script>

  import {getCam} from "r/index/login";
  export default {
    name: "recruit",
    data() {
      return {};
    },
    created() {
      this.getCam();
    },
    methods: {
      getCam() {
        getCam({}).then((res) => {
          console.log(res, "getCam");
          let root = document.querySelector(":root");
          root.style.setProperty("--color", res.data.system_color);
          root.style.setProperty("--bk_pic", res.data.background_picture); //当前营地的背景图
          window.localStorage.setItem('bk_pic',res.data.background_picture)
          //当前营地logo
          window.localStorage.setItem("system_logo", res.data.system_logo);
          window.localStorage.setItem(
            "doubt_code",
            res.data.fill_individual_Invitationcode
          ); //是否填写邀请码
          window.localStorage.setItem(
            "doubt_info",
            res.data.fill_individual_information
          ); //是否填写个人资料
          window.localStorage.setItem(
            "doubt_check",
            res.data.audit_individual_information
          ); //是否审核个人资料
        });
      },
    },
  };
</script>
<style lang="scss">
  @import "a/scss/index";
  // @import "~a/css/base.css";
  #app {
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: relative;
    height: 100vh;
    background: #fff;
    background: #f8f8f8;
  }
  //滚动条的宽度
  ::-webkit-scrollbar {
    width: 12px;
    height: 12px;
  }
  //滚动条的滑块
  ::-webkit-scrollbar-thumb {
    background-color: #cccccc;
    border-radius: 4px;
  }

  .el-dropdown-menu {
    .el-dropdown-menu__item {
      padding: 0 26px !important;

      &:hover {
        color: #ffffff !important;
        background-color: var(--color) !important;
      }
    }
  }


  .el-message-box {
    width: 360px !important;

    .el-message-box__header {
      .el-message-box__title {
        color: red;
      }
      .el-message-box__close{
        &:hover{
          color: var(--color);
        }
      }
    }

    .el-button{
      &:nth-child(1):hover{
        color: #fff;
        background-color: var(--color);
        border-color: var(--color);
        opacity: 0.6;
      }
      &:nth-child(2) {
        color: #fff;
        background-color: var(--color);
        border-color: var(--color);
        &:hover {
          color: #fff;
          background-color: var(--color);
          border-color: var(--color);
          opacity: 0.9;
        }
      }
    }
  }
</style>
